<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.discovery.static-provider.services">
    <annotation name="jboss-op">
        <elem name="name" value="list-add"/>
        <elem name="op-params" value="abstract-type,abstract-type-authority,uri,uri-scheme-authority,attributes"/>
        <elem name="complex-attribute" value="services"/>
        <elem name="addr-params" value="profile,host,subsystem,static-provider"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.discovery"/>
    </annotation>
    <refs>
        <ref feature="subsystem.discovery.static-provider"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="uri-scheme-authority" nillable="true"/>
        <param name="static-provider"/>
        <param name="abstract-type" nillable="true"/>
        <param name="profile" default="GLN_UNDEFINED"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem"/>
        <param name="attributes" nillable="true" type="List&lt;String&gt;"/>
        <param name="abstract-type-authority" nillable="true"/>
        <param name="uri"/>
    </params>
</feature-spec>